diff --git a/koji/tasks.py b/koji/tasks.py
index 531591c..0e27ab0 100644
--- a/koji/tasks.py
+++ b/koji/tasks.py
@@ -55,11 +55,11 @@ def umount_all(topdir):
         cmd = ['umount', '-l', path]
         rv = os.spawnvp(os.P_WAIT, cmd[0], cmd)
         if rv != 0:
-            raise koji.GenericError, 'umount failed (exit code %r) for %s' % (rv, path)
+            raise koji.GenericError('umount failed (exit code %r) for %s' % (rv, path))
     #check mounts again
     remain = scan_mounts(topdir)
     if remain:
-        raise koji.GenericError, "Unmounting incomplete: %r" % remain
+        raise koji.GenericError("Unmounting incomplete: %r" % remain)
 
 def safe_rmtree(path, unmount=False, strict=True):
     logger = logging.getLogger("koji.build")
@@ -87,7 +87,7 @@ def safe_rmtree(path, unmount=False, strict=True):
     if rv != 0:
         logger.warn(msg)
         if strict:
-            raise koji.GenericError, msg
+            raise koji.GenericError(msg)
         else:
             return rv
     #them rmdir directories
@@ -98,7 +98,7 @@ def safe_rmtree(path, unmount=False, strict=True):
     if rv != 0:
         logger.warn(msg)
         if strict:
-            raise koji.GenericError, msg
+            raise koji.GenericError(msg)
     return rv
 
 class ServerExit(Exception):
@@ -125,7 +125,7 @@ class BaseTaskHandler(object):
     def __init__(self, id, method, params, session, options, workdir=None):
         self.id = id   #task id
         if method not in self.Methods:
-            raise koji.GenericError, 'method "%s" is not supported' % method
+            raise koji.GenericError('method "%s" is not supported' % method)
         self.method = method
         # handle named parameters
         self.params, self.opts = koji.decode_args(*params)
@@ -336,10 +336,10 @@ class BaseTaskHandler(object):
         #  c) is canonical
         host_arches = host['arches']
         if not host_arches:
-            raise koji.BuildError, "No arch list for this host: %s" % host['name']
+            raise koji.BuildError("No arch list for this host: %s" % host['name'])
         tag_arches = tag['arches']
         if not tag_arches:
-            raise koji.BuildError, "No arch list for tag: %s" % tag['name']
+            raise koji.BuildError("No arch list for tag: %s" % tag['name'])
         # index canonical host arches
         host_arches = set([koji.canonArch(a) for a in host_arches.split()])
         # index canonical tag arches
@@ -356,8 +356,8 @@ class BaseTaskHandler(object):
             return arch
         else:
             # no overlap
-            raise koji.BuildError, "host %s (%s) does not support any arches of tag %s (%s)" % \
-                (host['name'], ', '.join(host_arches), tag['name'], ', '.join(tag_arches))
+            raise koji.BuildError("host %s (%s) does not support any arches of tag %s (%s)" % \
+                (host['name'], ', '.join(host_arches), tag['name'], ', '.join(tag_arches)))
 
     def getRepo(self, tag):
         """
@@ -370,7 +370,7 @@ class BaseTaskHandler(object):
             taginfo = self.session.getTag(tag, strict=True)
             targets = self.session.getBuildTargets(buildTagID=taginfo['id'])
             if not targets:
-                raise koji.BuildError, 'no repo (and no target) for tag %s' % taginfo['name']
+                raise koji.BuildError('no repo (and no target) for tag %s' % taginfo['name'])
             #wait for it
             task_id = self.session.host.subtask(method='waitrepo',
                                                 arglist=[tag, None, None],
@@ -445,7 +445,7 @@ class DefaultTask(BaseTaskHandler):
     Methods = ['default']
     _taskWeight = 0.1
     def handler(self, *args, **opts):
-        raise koji.GenericError, "Invalid method: %s" % self.method
+        raise koji.GenericError("Invalid method: %s" % self.method)
 
 
 class ShutdownTask(BaseTaskHandler):
@@ -466,7 +466,7 @@ class RestartTask(BaseTaskHandler):
     def handler(self, host):
         #note: this is a foreground task
         if host['id'] != self.session.host.getID():
-            raise koji.GenericError, "Host mismatch"
+            raise koji.GenericError("Host mismatch")
         self.manager.restart_pending = True
         return "graceful restart initiated"
 
@@ -482,12 +482,12 @@ class RestartVerifyTask(BaseTaskHandler):
         tinfo = self.session.getTaskInfo(task_id)
         state = koji.TASK_STATES[tinfo['state']]
         if state != 'CLOSED':
-            raise koji.GenericError, "Stage one restart task is %s" % state
+            raise koji.GenericError("Stage one restart task is %s" % state)
         if host['id'] != self.session.host.getID():
-            raise koji.GenericError, "Host mismatch"
+            raise koji.GenericError("Host mismatch")
         if self.manager.start_time < tinfo['completion_ts']:
             start_time = time.asctime(time.localtime(self.manager.start_time))
-            raise koji.GenericError, "Restart failed - start time is %s" % start_time
+            raise koji.GenericError("Restart failed - start time is %s" % start_time)
 
 
 class RestartHostsTask(BaseTaskHandler):
@@ -498,7 +498,7 @@ class RestartHostsTask(BaseTaskHandler):
     def handler(self):
         hosts = self.session.listHosts(enabled=True)
         if not hosts:
-            raise koji.GenericError, "No hosts enabled"
+            raise koji.GenericError("No hosts enabled")
         this_host = self.session.host.getID()
         subtasks = []
         my_tasks = None
@@ -511,7 +511,7 @@ class RestartHostsTask(BaseTaskHandler):
             if host['id'] == this_host:
                 my_tasks = [task1, task2]
         if not my_tasks:
-            raise koji.GenericError, 'This host is not enabled'
+            raise koji.GenericError('This host is not enabled')
         self.wait(my_tasks[0])
         #see if we've restarted
         if not self.session.taskFinished(my_tasks[1]):
@@ -542,7 +542,7 @@ class DependantTask(BaseTaskHandler):
                 if self.session.taskFinished(task):
                     info = self.session.getTaskInfo(task)
                     if info and koji.TASK_STATES[info['state']] in ['CANCELED', 'FAILED']:
-                        raise koji.GenericError, "Dependency %s failed to complete." % info['id']
+                        raise koji.GenericError("Dependency %s failed to complete." % info['id'])
                     wait_list.remove(task)
             # let the system rest before polling again
             time.sleep(1)
diff --git a/koji/util.py b/koji/util.py
index 50d203d..1eb32e8 100644
--- a/koji/util.py
+++ b/koji/util.py
@@ -159,7 +159,7 @@ def call_with_argcheck(func, args, kwargs=None):
             # The stack is only one high, so the error occurred in this function.
             # Therefore, we assume the TypeError is due to a parameter mismatch
             # in the above function call.
-            raise koji.ParameterError, str(e)
+            raise koji.ParameterError(str(e))
         raise
 
 
@@ -275,7 +275,7 @@ class LazyRecord(object):
 
 def lazysetattr(object, name, func, args, kwargs=None, cache=False):
     if not isinstance(object, LazyRecord):
-        raise TypeError, 'object does not support lazy attributes'
+        raise TypeError('object does not support lazy attributes')
     value = LazyValue(func, args, kwargs=kwargs, cache=cache)
     setattr(object, name, value)
 
@@ -503,7 +503,7 @@ def tsort(parts):
         parts = dict([(name, deps - level) for name, deps in parts.iteritems()
                       if name not in level])
     if parts:
-        raise ValueError, 'total ordering not possible'
+        raise ValueError('total ordering not possible')
     return result
 
 class MavenConfigOptAdapter(object):
@@ -527,7 +527,7 @@ class MavenConfigOptAdapter(object):
             elif name in self.MULTILINE:
                 value = value.splitlines()
             return value
-        raise AttributeError, name
+        raise AttributeError(name)
 
 def maven_opts(values, chain=False, scratch=False):
     """
@@ -552,7 +552,7 @@ def maven_opts(values, chain=False, scratch=False):
     for env in getattr(values, 'envs', []):
         fields = env.split('=', 1)
         if len(fields) != 2:
-            raise ValueError, "Environment variables must be in NAME=VALUE format"
+            raise ValueError("Environment variables must be in NAME=VALUE format")
         envs[fields[0]] = fields[1]
     if envs:
         opts['envs'] = envs
@@ -601,14 +601,14 @@ def parse_maven_params(confs, chain=False, scratch=False):
         elif buildtype == 'wrapper':
             params = wrapper_params(config, package, chain=chain, scratch=scratch)
             if len(params.get('buildrequires')) != 1:
-                raise ValueError, "A wrapper-rpm must depend on exactly one package"
+                raise ValueError("A wrapper-rpm must depend on exactly one package")
         else:
-            raise ValueError, "Unsupported build type: %s" % buildtype
+            raise ValueError("Unsupported build type: %s" % buildtype)
         if not 'scmurl' in params:
-            raise ValueError, "%s is missing the scmurl parameter" % package
+            raise ValueError("%s is missing the scmurl parameter" % package)
         builds[package] = params
     if not builds:
-        raise ValueError, "No sections found in: %s" % ', '.join(confs)
+        raise ValueError("No sections found in: %s" % ', '.join(confs))
     return builds
 
 def parse_maven_param(confs, chain=False, scratch=False, section=None):
@@ -626,9 +626,9 @@ def parse_maven_param(confs, chain=False, scratch=False, section=None):
         if section in builds:
             builds = {section: builds[section]}
         else:
-            raise ValueError, "Section %s does not exist in: %s" % (section, ', '.join(confs))
+            raise ValueError("Section %s does not exist in: %s" % (section, ', '.join(confs)))
     elif len(builds) > 1:
-        raise ValueError, "Multiple sections in: %s, you must specify the section" % ', '.join(confs)
+        raise ValueError("Multiple sections in: %s, you must specify the section" % ', '.join(confs))
     return builds
 
 def parse_maven_chain(confs, scratch=False):
@@ -646,5 +646,5 @@ def parse_maven_chain(confs, scratch=False):
     try:
         tsort(depmap)
     except ValueError:
-        raise ValueError, 'No possible build order, missing/circular dependencies'
+        raise ValueError('No possible build order, missing/circular dependencies')
     return builds
diff --git a/plugins/builder/runroot.py b/plugins/builder/runroot.py
index 0baa11d..57834da 100644
--- a/plugins/builder/runroot.py
+++ b/plugins/builder/runroot.py
@@ -120,10 +120,10 @@ class RunRootTask(tasks.BaseTaskHandler):
             #  c) is canonical
             host_arches = self.session.host.getHost()['arches']
             if not host_arches:
-                raise koji.BuildError, "No arch list for this host"
+                raise koji.BuildError("No arch list for this host")
             tag_arches = self.session.getBuildConfig(root)['arches']
             if not tag_arches:
-                raise koji.BuildError, "No arch list for tag: %s" % root
+                raise koji.BuildError("No arch list for tag: %s" % root)
             #index canonical host arches
             host_arches = dict([(koji.canonArch(a),1) for a in host_arches.split()])
             #pick the first suitable match from tag's archlist
@@ -134,15 +134,15 @@ class RunRootTask(tasks.BaseTaskHandler):
                     break
             else:
                 #no overlap
-                raise koji.BuildError, "host does not match tag arches: %s (%s)" % (root, tag_arches)
+                raise koji.BuildError("host does not match tag arches: %s (%s)" % (root, tag_arches))
         else:
             br_arch = arch
         if repo_id:
             repo_info = self.session.repoInfo(repo_id, strict=True)
             if repo_info['tag_name'] != root:
-                raise koji.BuildError, "build tag (%s) does not match repo tag (%s)" % (root, repo_info['tag_name'])
+                raise koji.BuildError("build tag (%s) does not match repo tag (%s)" % (root, repo_info['tag_name']))
             if repo_info['state'] not in (koji.REPO_STATES['READY'], koji.REPO_STATES['EXPIRED']):
-                raise koji.BuildError, "repos in the %s state may not be used by runroot" % koji.REPO_STATES[repo_info['state']]
+                raise koji.BuildError("repos in the %s state may not be used by runroot" % koji.REPO_STATES[repo_info['state']])
         else:
             repo_info = self.session.getRepo(root)
         if not repo_info:
@@ -169,7 +169,7 @@ class RunRootTask(tasks.BaseTaskHandler):
                 status = broot.mock(pkgcmd)
                 self.session.host.updateBuildRootList(broot.id, broot.getPackageList())
                 if not _isSuccess(status):
-                    raise koji.BuildrootError, _parseStatus(status, pkgcmd)
+                    raise koji.BuildrootError(_parseStatus(status, pkgcmd))
 
             if isinstance(command, str):
                 cmdstr = command
@@ -218,7 +218,7 @@ class RunRootTask(tasks.BaseTaskHandler):
         if _isSuccess(rv):
             return '%s completed successfully' % cmd
         else:
-            raise koji.BuildrootError, _parseStatus(rv, cmd)
+            raise koji.BuildrootError(_parseStatus(rv, cmd))
 
     def do_extra_mounts(self, rootdir, mounts):
         mnts = []
@@ -315,7 +315,7 @@ class RunRootTask(tasks.BaseTaskHandler):
             msg = "Unable to unmount: %s" % ', '.join(failed)
             self.logger.warn(msg)
             if fatal:
-                raise koji.GenericError, msg
+                raise koji.GenericError(msg)
         else:
             # remove the mount list when everything is unmounted
             try:
diff --git a/plugins/hub/messagebus.py b/plugins/hub/messagebus.py
index 272a387..10c8b00 100644
--- a/plugins/hub/messagebus.py
+++ b/plugins/hub/messagebus.py
@@ -103,7 +103,7 @@ def get_sender():
         keytab = krbV.Keytab(name='FILE:' + config.get('broker', 'keytab'), context=ctx)
         ccache.init_creds_keytab(principal=cprinc, keytab=keytab)
     else:
-        raise PluginError, 'unsupported auth type: %s' % auth
+        raise PluginError('unsupported auth type: %s' % auth)
 
     url += config.get('broker', 'host') + ':'
     url += config.get('broker', 'port')
@@ -223,7 +223,7 @@ def send_message(cbtype, *args, **kws):
         headers = get_message_headers(msgtype, *args, **kws)
         message = qpid.messaging.Message(properties=headers, content=data)
     else:
-        raise PluginError, 'unsupported exchange type: %s' % exchange_type
+        raise PluginError('unsupported exchange type: %s' % exchange_type)
 
     sender.send(message, sync=True, timeout=config.getfloat('broker', 'timeout'))
     sender.close(timeout=config.getfloat('broker', 'timeout'))
diff --git a/plugins/hub/rpm2maven.py b/plugins/hub/rpm2maven.py
index 484a319..b1310ea 100644
--- a/plugins/hub/rpm2maven.py
+++ b/plugins/hub/rpm2maven.py
@@ -62,9 +62,9 @@ def expand_rpm(filepath, tmpdir):
                             stdout=devnull, stderr=devnull,
                             close_fds=True)
     if rpm2cpio.wait() != 0 or cpio.wait() != 0:
-        raise koji.CallbackError, 'error extracting files from %s, ' \
+        raise koji.CallbackError('error extracting files from %s, ' \
               'rpm2cpio returned %s, cpio returned %s' % \
-              (filepath, rpm2cpio.wait(), cpio.wait())
+              (filepath, rpm2cpio.wait(), cpio.wait()))
     devnull.close()
 
 def scan_and_import(buildinfo, rpminfo, tmpdir):
diff --git a/plugins/hub/runroot_hub.py b/plugins/hub/runroot_hub.py
index 3238739..ab1ebbe 100644
--- a/plugins/hub/runroot_hub.py
+++ b/plugins/hub/runroot_hub.py
@@ -40,7 +40,7 @@ def runroot(tagInfo, arch, command, channel=None, **opts):
         #not all arches can generate a proper buildroot for all tags
         tag = kojihub.get_tag(tagInfo)
         if not tag['arches']:
-            raise koji.GenericError, 'no arches defined for tag %s' % tag['name']
+            raise koji.GenericError('no arches defined for tag %s' % tag['name'])
 
         #get all known arches for the system
         fullarches = kojihub.get_all_arches()
@@ -53,8 +53,8 @@ def runroot(tagInfo, arch, command, channel=None, **opts):
             chanarches = get_channel_arches(taskopts['channel'])
             choices = [x for x in tagarches if x in chanarches]
             if not choices:
-                raise koji.GenericError, 'no common arches for tag/channel: %s/%s' \
-                            % (tagInfo, taskopts['channel'])
+                raise koji.GenericError('no common arches for tag/channel: %s/%s' \
+                            % (tagInfo, taskopts['channel']))
             taskopts['arch'] = koji.canonArch(random.choice(choices))
 
     args = koji.encode_args(tagInfo, arch, command,**opts)
diff --git a/util/koji-gc b/util/koji-gc
index 23d14d3..d474ce4 100755
--- a/util/koji-gc
+++ b/util/koji-gc
@@ -307,7 +307,7 @@ def parse_duration(str):
                 if unit:
                     break
             else:
-                raise ValueError, "Invalid time interval: %s" % str
+                raise ValueError("Invalid time interval: %s" % str)
         if unit is None:
             x = x.lower()
             for names in time_unit_aliases:
@@ -318,7 +318,7 @@ def parse_duration(str):
                 if unit:
                     break
             else:
-                raise ValueError, "Invalid time interval: %s" % str
+                raise ValueError("Invalid time interval: %s" % str)
         ret += n * time_units[unit]
         n = None
         unit = None
@@ -720,7 +720,7 @@ class AgePruneTest(koji.policy.BaseSimpleTest):
         self.cmp, value = str.split(None, 2)[1:]
         self.func = self.cmp_idx.get(self.cmp, None)
         if self.func is None:
-            raise Exception, "Invalid comparison in test: %s" % str
+            raise Exception("Invalid comparison in test: %s" % str)
         self.span = parse_duration(value)
 
     def run(self, data):
@@ -784,7 +784,7 @@ def handle_prune():
     policies = scan_policies(options.config.get('prune', 'policy'))
     for action in policies.all_actions():
         if action not in ("keep", "untag", "skip"):
-            raise Exception, "Invalid action: %s" % action
+            raise Exception("Invalid action: %s" % action)
     if options.debug:
         pprint.pprint(policies.ruleset)
     #get tags
diff --git a/util/koji-shadow b/util/koji-shadow
index e028026..5ac6a25 100755
--- a/util/koji-shadow
+++ b/util/koji-shadow
@@ -266,7 +266,7 @@ def parse_duration(str):
                 if unit:
                     break
             else:
-                raise ValueError, "Invalid time interval: %s" % str
+                raise ValueError("Invalid time interval: %s" % str)
         if unit is None:
             x = x.lower()
             for names in time_unit_aliases:
@@ -277,7 +277,7 @@ def parse_duration(str):
                 if unit:
                     break
             else:
-                raise ValueError, "Invalid time interval: %s" % str
+                raise ValueError("Invalid time interval: %s" % str)
         ret += n * time_units[unit]
         n = None
         unit = None
@@ -631,7 +631,7 @@ class BuildTracker(object):
                     continue
                 data = line.split()
                 if len(data) != 2:
-                    raise Exception, "Bad substitution: %s" % line
+                    raise Exception("Bad substitution: %s" % line)
                 match, replace = data
                 self.substitutions[match] = replace
 
diff --git a/util/kojira b/util/kojira
index 6f4bbe3..5512b34 100755
--- a/util/kojira
+++ b/util/kojira
@@ -92,7 +92,7 @@ class ManagedRepo(object):
         if self.state == koji.REPO_EXPIRED:
             return
         elif self.state == koji.REPO_DELETED:
-            raise koji.GenericError, "Repo already deleted"
+            raise koji.GenericError("Repo already deleted")
         self.logger.info("Expiring repo %s.." % self.repo_id)
         self.session.repoExpire(self.repo_id)
         self.state = koji.REPO_EXPIRED
@@ -157,7 +157,7 @@ class ManagedRepo(object):
                 return False
         self.logger.debug("Attempting to delete repo %s.." % self.repo_id)
         if self.state != koji.REPO_EXPIRED:
-            raise koji.GenericError, "Repo not expired"
+            raise koji.GenericError("Repo not expired")
         if self.session.repoDelete(self.repo_id) > 0:
             #cannot delete, we are referenced by a buildroot
             self.logger.debug("Cannot delete repo %s, still referenced" % self.repo_id)
diff --git a/vm/kojikamid.py b/vm/kojikamid.py
index 030aac8..0499c74 100755
--- a/vm/kojikamid.py
+++ b/vm/kojikamid.py
@@ -135,20 +135,20 @@ class WindowsBuild(object):
                 else:
                     self.logger.info('file %s exists', entry)
         if errors:
-            raise BuildError, 'error validating build environment: %s' % \
-                  ', '.join(errors)
+            raise BuildError('error validating build environment: %s' % \
+                  ', '.join(errors))
 
     def updateClam(self):
         """update ClamAV virus definitions"""
         ret, output = run(['/bin/freshclam', '--quiet'])
         if ret:
-            raise BuildError, 'could not update ClamAV database: %s' % output
+            raise BuildError('could not update ClamAV database: %s' % output)
 
     def checkEnv(self):
         """make the environment is fit for building in"""
         for tool in ['/bin/freshclam', '/bin/clamscan', '/bin/patch']:
             if not os.path.isfile(tool):
-                raise BuildError, '%s is missing from the build environment' % tool
+                raise BuildError('%s is missing from the build environment' % tool)
 
     def zipDir(self, rootdir, filename):
         rootbase = os.path.basename(rootdir)
@@ -187,7 +187,7 @@ class WindowsBuild(object):
                    os.path.isfile(os.path.join(patchdir, patch)) and \
                    patch.endswith('.patch')]
         if not patches:
-            raise BuildError, 'no patches found at %s' % patchdir
+            raise BuildError('no patches found at %s' % patchdir)
         patches.sort()
         for patch in patches:
             cmd = ['/bin/patch', '--verbose', '-d', sourcedir, '-p1', '-i', os.path.join(patchdir, patch)]
@@ -197,9 +197,9 @@ class WindowsBuild(object):
         """Load build configuration from the spec file."""
         specfiles = [spec for spec in os.listdir(self.spec_dir) if spec.endswith('.ini')]
         if len(specfiles) == 0:
-            raise BuildError, 'No .ini file found'
+            raise BuildError('No .ini file found')
         elif len(specfiles) > 1:
-            raise BuildError, 'Multiple .ini files found'
+            raise BuildError('Multiple .ini files found')
 
         conf = ConfigParser()
         conf.read(os.path.join(self.spec_dir, specfiles[0]))
@@ -290,7 +290,7 @@ class WindowsBuild(object):
         """Create the buildroot object on the hub."""
         repo_id = self.task_opts.get('repo_id')
         if not repo_id:
-            raise BuildError, 'repo_id must be specified'
+            raise BuildError('repo_id must be specified')
         self.buildroot_id = self.server.initBuildroot(repo_id, self.platform)
 
     def expireBuildroot(self):
@@ -317,8 +317,8 @@ class WindowsBuild(object):
         digest = checksum.hexdigest()
         # rpms don't have a md5sum in the fileinfo, but check it for everything else
         if ('md5sum' in fileinfo) and (digest != fileinfo['md5sum']):
-            raise BuildError, 'md5 checksum validation failed for %s, %s (computed) != %s (provided)' % \
-                  (destpath, digest, fileinfo['md5sum'])
+            raise BuildError('md5 checksum validation failed for %s, %s (computed) != %s (provided)' % \
+                  (destpath, digest, fileinfo['md5sum']))
         self.logger.info('Retrieved %s (%s bytes, md5: %s)', destpath, offset, digest)
 
     def fetchBuildReqs(self):
@@ -408,7 +408,7 @@ class WindowsBuild(object):
         cmd = ['cmd.exe', '/C', 'C:\\Windows\\Temp\\' + os.path.basename(tmpname)]
         ret, output = run(cmd, chdir=self.source_dir)
         if ret:
-            raise BuildError, 'build command failed, see build.log for details'
+            raise BuildError('build command failed, see build.log for details')
 
     def bashBuild(self):
         """Do the build: run the execute line(s) with bash"""
@@ -440,7 +440,7 @@ class WindowsBuild(object):
         cmd = ['/bin/bash', '-e', '-x', tmpname]
         ret, output = run(cmd, chdir=self.source_dir)
         if ret:
-            raise BuildError, 'build command failed, see build.log for details'
+            raise BuildError('build command failed, see build.log for details')
 
     def checkBuild(self):
         """Verify that the build completed successfully."""
@@ -467,13 +467,13 @@ class WindowsBuild(object):
                     errors.append('file %s does not exist' % entry)
         self.virusCheck(self.workdir)
         if errors:
-            raise BuildError, 'error validating build output: %s' % \
-                  ', '.join(errors)
+            raise BuildError('error validating build output: %s' % \
+                  ', '.join(errors))
 
     def virusCheck(self, path):
         """ensure a path is virus free with ClamAV. path should be absolute"""
         if not path.startswith('/'):
-            raise BuildError, 'Invalid path to scan for viruses: ' + path
+            raise BuildError('Invalid path to scan for viruses: ' + path)
         run(['/bin/clamscan', '--quiet', '--recursive', path], fatal=True)
 
     def gatherResults(self):
@@ -525,7 +525,7 @@ def run(cmd, chdir=None, fatal=False, log=True):
             msg += ', see %s for details' % (os.path.basename(logfd.name))
         else:
             msg += ', output: %s' % output
-        raise BuildError, msg
+        raise BuildError(msg)
     return ret, output
 
 def find_net_info():
@@ -534,7 +534,7 @@ def find_net_info():
     """
     ret, output = run(['ipconfig', '/all'], log=False)
     if ret:
-        raise RuntimeError, 'error running ipconfig, output was: %s' % output
+        raise RuntimeError('error running ipconfig, output was: %s' % output)
     macaddr = None
     gateway = None
     for line in output.splitlines():
